SpriteLibrary

# SpriteEventArgs Fields

The SpriteEventArgs type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| Cancel | Used primarily in the CheckBeforeMove event. If you set cancel to true, then the move fails. You can use this to keep a Sprite from going places where it ought not to go.
| CollisionMethod | The CollisionMethod used in the event. Currently, only rectangle collisions are used
| NewLocation | For the CheckBeforeMove event, newlocation will be the location the sprite is trying to move to. You can adjust the point (move it left, right, up, down) and it will affect the placement of the sprite.
| TargetSprite | If another Sprite is involved in the event (Collision), than that Sprite is included here. It will be null if no other Sprite is involved.

Top
See Also

#### Reference

SpriteEventArgs Class
SpriteLibrary Namespace